Bug 244104 - games/minecraft-client: make fetchable again
Summary: games/minecraft-client: make fetchable again
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-13 20:14 UTC by Alexander Vereeken
Modified: 2020-05-16 04:19 UTC (History)
1 user (show)

See Also:


Attachments
minecraft-client.diff (1.40 KB, patch)
2020-02-13 20:14 UTC, Alexander Vereeken
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2020-02-13 20:14:15 UTC
Created attachment 211621 [details]
minecraft-client.diff

Make the port fetchable again by hosting the files.
Comment 1 Automation User 2020-04-16 01:17:14 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/136491529
Comment 2 Hiroki Tagato freebsd_committer 2020-05-11 08:39:50 UTC
Hi,

This port currently does not have a maintainer. Would you like to take maintainership of the port?
Comment 3 Alexander Vereeken 2020-05-12 16:06:26 UTC
No thanks, i would not like to become a maintainer of this port.
Comment 4 Hiroki Tagato freebsd_committer 2020-05-14 05:56:38 UTC
It appears Minecraft.jar file is still unavailable.

$ fetch https://homura.magzu.net/games/Minecraft.jar
fetch: https://homura.magzu.net/games/Minecraft.jar: Not Found

Can you check?
Comment 5 Alexander Vereeken 2020-05-14 10:24:18 UTC
Should be available now :)
Comment 6 commit-hook freebsd_committer 2020-05-16 04:18:21 UTC
A commit references this bug:

Author: tagattie
Date: Sat May 16 04:17:43 UTC 2020
New revision: 535348
URL: https://svnweb.freebsd.org/changeset/ports/535348

Log:
  - Make fetchable and unbreak
  - Make portclippy happy

  PR:		244104
  Submitted by:	Alexander Vereeken <Alexander88207@protonmail.com>
  Approved by:	ehaupt (mentor)

Changes:
  head/games/minecraft-client/Makefile
  head/games/minecraft-client/distinfo
Comment 7 Hiroki Tagato freebsd_committer 2020-05-16 04:19:56 UTC
Committed, thanks!